<?php
/**
 * i-doit
 *
 * Module initializer.
 *
 * @package     modules
 * @subpackage  itservice
 * @author      Leonard Fischer <lfischer@i-doit.com>
 * @version     1.0.0
 * @copyright   synetics GmbH
 * @license     http://www.i-doit.com/license
 * @since       i-doit 1.4
 */

if (include_once('isys_module_itservice_autoload.class.php')) {
    spl_autoload_register('isys_module_itservice_autoload::init');
}

// Handle module specific language files.
global $g_idoit_language_short, $g_comp_database;

if (file_exists(__DIR__ . '/lang/' . $g_idoit_language_short . '.inc.php')) {
    $l_language = include_once 'lang/' . $g_idoit_language_short . '.inc.php';

    if (is_array($l_language)) {
        isys_application::instance()->container->get('language')
            ->append_lang($l_language);
    }
}
